# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rails_cache_it/version'

Gem::Specification.new do |spec|
  spec.name          = "rails_cache_it"
  spec.version       = RailsCacheIt::VERSION
  spec.authors       = ["jjy"]
  spec.email         = ["jjyruby@gmail.com"]
  spec.description   = %q{lightweight Rails AR cache implement, very simple and easy to use }
  spec.summary       = %q{Model.where(xx: xx).cache_it... it's all ok!}
  spec.homepage      = "http://github.com/jjyr/rails_cache_it"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
